Search found 5231 matches

by Roy_043
Sat Aug 06, 2022 11:44 pm
Forum: Python scripting and macros
Topic: Does wire.discretize(Number=nb) preserves the shape of curve?
Replies: 1
Views: 162

Re: Does wire.discretize(Number=nb) preserves the shape of curve?

Create a Draft_Rectangle and then run this code:

Code: Select all

doc = App.ActiveDocument
obj = doc.getObject("Rectangle")
wire = obj.Shape.Wires[0]
pts = wire.discretize(30)
import Draft
Draft.make_wire(pts)
by Roy_043
Sat Aug 06, 2022 11:03 pm
Forum: Wiki
Topic: Sketcher Workbench pages (status of each page)
Replies: 5
Views: 15542

Re: Sketcher Workbench pages (status of each page)

The page is incorrectly named You are wrong there. The name of the page is correct. But if you use Std_WhatsThis and click on the toolbar button you are directed to the Sketcher_CompCreateCircle page, which is the wrong page. You should be directed to Sketcher_CompConstrainRadDia (which should incl...
by Roy_043
Sat Aug 06, 2022 10:40 am
Forum: Draft, Arch & BIM
Topic: Drawing Order --vs-- Order in Group / BuildingPart
Replies: 4
Views: 230

Re: Drawing Order --vs-- Order in Group / BuildingPart

I do not see a difference in Drag and Drop behavior between a Group and a BuidingPart. Better idea keeping Alphabetical Order in Group etc. whilst can control drawing order ? I don't understand this. OS: Windows 8.1 Version 6.3 (Build 9600) Word size of FreeCAD: 64-bit Version: 0.21.29923 (Git) Buil...
by Roy_043
Fri Aug 05, 2022 9:39 pm
Forum: Help on using FreeCAD
Topic: Selecting wire vertex problem
Replies: 21
Views: 961

Re: Selecting wire vertex problem

I have no problem selecting the top left vertex either. Maybe try to increase the Point Size?
Note that when you select the top left vertex you will select a vertex of the Wire object, and not of the Line object, because the Wire was created first.
by Roy_043
Fri Aug 05, 2022 9:26 pm
Forum: Help on using FreeCAD
Topic: Selecting wire vertex problem
Replies: 21
Views: 961

Re: Selecting wire vertex problem

Willem wrote: Fri Aug 05, 2022 9:22 pm Assign the proper snap mode
That's not relevant here.
by Roy_043
Fri Aug 05, 2022 12:36 pm
Forum: Draft, Arch & BIM
Topic: [ Bug ] Snap icons near cursor are missing
Replies: 9
Views: 341

Re: [ Bug ] Snap icons near cursor are missing

I do not understand why everybody is testing with near snap. It is the one snap option that does not display a snap icon near the cursor! Please retest with only endpoint snap active. It is the blue icon near the cusor that is missing.
by Roy_043
Fri Aug 05, 2022 8:56 am
Forum: Draft, Arch & BIM
Topic: [ Bug ] Snap icons near cursor are missing
Replies: 9
Views: 341

[ Bug ] Snap icons near cursor are missing

In the FreeCAD version listed below the snap icon is not displayed near the cursor as you snap to f.e. an endpoint (the blue icon is not displayed see Draft_Snap_Endpoint ). AFAICT this is not caused by any change in the Draft code. Using the V0.20 Draft code in FreeCAD version 0.21 shows the same p...
by Roy_043
Thu Aug 04, 2022 8:29 am
Forum: Draft, Arch & BIM
Topic: Draft WB: Please confirm intended behaviours
Replies: 25
Views: 1352

Re: Draft WB: Please confirm intended behaviours

catman wrote: Wed Aug 03, 2022 11:13 pm The only way I get the dialog open is the menu and that only sometimes.
If you do not get the task panel there a pre-selection.